Get verification age estimation result
curl --request GET \
--url https://api.proofage.net/v1/verifications/{verification}/estimation \
--header 'X-API-Key: <api-key>' \
--header 'X-HMAC-Signature: <api-key>'import requests
url = "https://api.proofage.net/v1/verifications/{verification}/estimation"
headers = {
"X-API-Key": "<api-key>",
"X-HMAC-Signature": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', 'X-HMAC-Signature': '<api-key>'}
};
fetch('https://api.proofage.net/v1/verifications/{verification}/estimation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"verification_id": "019de7a0-c11b-7373-9289-b0aa1ba08d13",
"attempt_id": "019de7a2-0305-7269-9cff-1715c71b19ae",
"age_threshold": {
"minimum": 18,
"passed": true,
"confidence": 0.98
},
"gender": {
"value": 0,
"confidence": 0.93
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Results
Get verification age estimation result
Retrieves sanitized age-threshold and gender estimates for age estimation workspaces. The gender value uses 0 for female and 1 for male.
GET
/
verifications
/
{verification}
/
estimation
Get verification age estimation result
Authorizations
Your workspace public key (pk_test_… or pk_live_…).
HMAC-SHA256 of the request, hex-encoded, keyed with the workspace secret key. See API authentication.
Path Parameters
The verification ID